from flask import Flask, jsonify
from pynats2 import NATSClient
import json

app = Flask(__name__)

@app.route('/publish', methods=['POST'])
def publish_to_nats():
    data_dict = {
      "key": "value",
      "number": 123,
      "list": [1, 2, 3]
    }
    data_str = json.dumps(data_dict)
    # 将字符串转换为bytes
    data_bytes = data_str.encode('utf-8')
    with NATSClient() as client:
      client.publish("alg.test", payload=data_bytes)
    return jsonify({'message': 'Message sent successfully!'})

if __name__ == '__main__':
    app.run(debug=True)
